*** QGIS_Orig\src\core\dxf\qgsdxfexport.h	Tue Dec  2 16:27:17 2014
--- QGIS\src\core\dxf\qgsdxfexport.h	Wed Dec  3 14:52:01 2014
***************
*** 45,50 ****
--- 45,51 ----
      QgsDxfExport& operator=( const QgsDxfExport& dxfExport );
  
      void addLayers( const QList< QPair<QgsVectorLayer *, int > > &layers );
+ 	void addLayer( QgsVectorLayer *layer, int featureID );
      int writeToFile( QIODevice* d );  //maybe add progress dialog? //other parameters (e.g. scale, dpi)?
  
      void setSymbologyScaleDenominator( double d ) { mSymbologyScaleDenominator = d; }
*** QGIS_Orig\src\core\dxf\qgsdxfexport.cpp	Tue Dec  2 16:27:17 2014
--- QGIS\src\core\dxf\qgsdxfexport.cpp	Wed Dec  3 15:06:10 2014
***************
*** 340,345 ****
--- 340,351 ----
    mLayers = layers;
  }
  
+ 
+ void QgsDxfExport::addLayer( QgsVectorLayer *layer, int featureID )
+ {
+   mLayers.append(QPair< QgsVectorLayer *, int >(layer, featureID));
+ }
+ 
  void QgsDxfExport::writeGroup( int code, int i )
  {
    writeGroupCode( code );
*** QGIS_Orig\python\core\dxf\qgsdxfexport.sip	Tue Dec  2 16:27:06 2014
--- QGIS\python\core\dxf\qgsdxfexport.sip	Wed Dec  3 15:08:00 2014
***************
*** 32,37 ****
--- 32,38 ----
      ~QgsDxfExport();
  
      void addLayers( const QList< QPair<QgsVectorLayer *, int > > &layers );
+ 	void addLayer( QgsVectorLayer *layer, int featureID );
      int writeToFile( QIODevice* d );  //maybe add progress dialog? //other parameters (e.g. scale, dpi)?
  
      void setSymbologyScaleDenominator( double d );
